<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qbs.qdoc -->
  <title>Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="next" href="overview.html" />
<p class="naviNextPrevious headerNavi">
<a class="nextPage" href="overview.html">Introduction</a>
</p><p/>
<h1 class="title">Qbs Manual</h1>
<span class="subtitle"></span>
<!-- $$$index.html-description -->
<div class="descr"> <a name="details"></a>
<a name="version-1-15-0"></a>
<h2 id="version-1-15-0">Version 1.15.0</h2>
<p>Qbs is a tool that helps simplify the build process for developing projects across multiple platforms. Qbs can be used for any software project, regardless of programming language, toolkit, or libraries used.</p>
<p><b>Note: </b>Please report bugs and suggestions to the <a href="http://bugreports.qt.io/">Qt Bug Tracker</a>.</p><ul>
<li><a href="overview.html">Introduction</a></li>
<li><a href="setup.html">Setup</a><ul>
<li><a href="installing.html">Installing</a></li>
<li><a href="configuring.html">Configuring Profiles and Preferences</a></li>
<li><a href="qt-versions.html">Managing Qt Versions</a></li>
</ul>
</li>
<li><a href="usage.html">Usage</a><ul>
<li><a href="language-introduction.html">Language Introduction</a></li>
<li><a href="building-applications.html">Building Applications</a></li>
<li><a href="running-applications.html">Running Applications</a></li>
<li><a href="installing-files.html">Installing Files</a></li>
<li><a href="platforms.html">Target Platforms</a></li>
<li><a href="shell.html">Using the Shell</a></li>
<li><a href="generators.html">Generators</a></li>
<li><a href="multiplexing.html">Multiplexing</a></li>
<li><a href="custom-modules.html">Custom Modules and Items</a></li>
<li><a href="module-providers.html">Module Providers</a></li>
</ul>
</li>
<li><a href="howtos.html">How-tos</a></li>
<li><a href="reference.html">Reference</a><ul>
<li><a href="list-of-items.html">List of All Items</a><ul>
<li><a href="qbslanguageitems-qmlmodule.html">List of Language Items</a></li>
<li><a href="qbsconvenienceitems-qmlmodule.html">List of Convenience Items</a></li>
<li><a href="list-of-probes.html">List of Probes</a></li>
</ul>
</li>
<li><a href="list-of-builtin-services.html">List of Built-in Services</a></li>
<li><a href="cli.html">Command-Line Interface</a></li>
<li><a href="qbsmodules-qmlmodule.html">List of Modules</a></li>
<li><a href="commands.html">Command and JavaScriptCommand</a></li>
</ul>
</li>
<li><a href="building-qbs.html">Appendix A: Building Qbs</a></li>
<li><a href="porting-to-qbs.html">Appendix B: Migrating from Other Build Systems</a></li>
<li><a href="json-api.html">Appendix C: The JSON API</a></li>
<li><a href="attributions.html">Appendix D: Licenses and Code Attributions</a></li>
</ul>
</div>
<!-- @@@index.html -->
<p class="naviNextPrevious footerNavi">
<a class="nextPage" href="overview.html">Introduction</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
